Bug 501837 - channel.software.listAllPackages with dates (Non-deprecated) are returning more than what is mentioned in api doc
channel.software.listAllPackages with dates (Non-deprecated) are returning mo...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: API (Show other bugs)
530
All Linux
low Severity medium
: ---
: ---
Assigned To: Brad Buckingham
Sayli Karmarkar
:
Depends On:
Blocks: 456996
  Show dependency treegraph
 
Reported: 2009-05-20 18:55 EDT by Sayli Karmarkar
Modified: 2009-09-10 15:55 EDT (History)
2 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 15:55:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sayli Karmarkar 2009-05-20 18:55:50 EDT
Description of problem:

Doc:

Method: listAllPackages
Description:
Lists all packages in the channel, regardless of version whose last modified date is greater than given date.

Parameters:

    * string sessionKey
    * string channelLabel - channel to query
    * dateTime.iso8601 startDate

Returns:

    * array:
          o struct - package
                + string "name"
                + string "version"
                + string "release"
                + string "epoch"
                + string "id"
                + string "arch_label"



Its actually returning:
    
     * array:
          o struct - package
                + string "name"
                + string "version"
                + string "release"
                + string "epoch"
                + int "id"
                + string "arch_label"
                + string "last_modified_date"
                + string "last_modified" - (Deprecated)



Same for listAllPackages with start and end date.
Comment 1 Clifford Perry 2009-05-21 09:52:30 EDT
Should be simple fix to API doc. Approved.
Comment 2 Brad Buckingham 2009-05-21 11:58:27 EDT
master git commit: 2ff2f0e9f8786e84b03eadac79a5918f306e9591
vader git commit: d3a793319a5f2a5529a1ba72975a0606ef24b084

Updated the listAllPackages APIs to include last_modified_date and last_modified as mentioned above.  For some reason, these APIs were not using the docs provided by the serializer... 

Also, observed that the listAllPackagesByDate APIs return last_modified; however, those API docs aren't including it; therefore, added those as well.  (This applied to all 3 of the deprecated listAllPackagesByDate API).
Comment 3 Tomas Lestach 2009-08-21 10:32:55 EDT
Documentation for listAllPackages method corresponds with the returned array:

array:
  struct - package
    string "name"
    string "version"
    string "release"
    string "epoch"
    int "id"
    string "arch_label"
    string "last_modified_date"
    string "last_modified" - (Deprecated)

Stage validated -> RELEASE_PENDING
Comment 4 Brandon Perkins 2009-09-10 15:55:52 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.